OpenTTD Source: CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination > Struct Template Reference

OpenTTD Source 15.0-beta1

Public Types
CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination > Struct Template Reference

## Public Types
typedef CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination > | Types
typedef Tpf_ | Tpf
typedef CFollowTrackRoad | TrackFollower
typedef Tnode_list | NodeList
typedef RoadVehicle | VehicleType
typedef CYapfBaseT< Types > | PfBase
typedef CYapfFollowRoadT< Types > | PfFollow
typedef CYapfOriginTileT< Types > | PfOrigin
typedef Tdestination< Types > | PfDestination
typedef CYapfSegmentCostCacheNoneT< Types > | PfCache
typedef CYapfCostRoadT< Types > | PfCost

## Detailed Description

template<class Tpf_, class Tnode_list, template< class Types > class Tdestination>
struct CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >

Definition at line 506 of file yapf_road.cpp.

## Member Typedef Documentation

## ◆ NodeList

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef Tnode_list CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::NodeList

Definition at line 512 of file yapf_road.cpp.

## ◆ PfBase

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef CYapfBaseT<Types> CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::PfBase

Definition at line 514 of file yapf_road.cpp.

## ◆ PfCache

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef CYapfSegmentCostCacheNoneT<Types> CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::PfCache

Definition at line 518 of file yapf_road.cpp.

## ◆ PfCost

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef CYapfCostRoadT<Types> CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::PfCost

Definition at line 519 of file yapf_road.cpp.

## ◆ PfDestination

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef Tdestination<Types> CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::PfDestination

Definition at line 517 of file yapf_road.cpp.

## ◆ PfFollow

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef CYapfFollowRoadT<Types> CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::PfFollow

Definition at line 515 of file yapf_road.cpp.

## ◆ PfOrigin

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef CYapfOriginTileT<Types> CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::PfOrigin

Definition at line 516 of file yapf_road.cpp.

## ◆ Tpf

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef Tpf_ CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::Tpf

Definition at line 510 of file yapf_road.cpp.

## ◆ TrackFollower

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef CFollowTrackRoad CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::TrackFollower

Definition at line 511 of file yapf_road.cpp.

## ◆ Types

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef CYapfRoad_TypesT<Tpf_, Tnode_list, Tdestination> CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::Types

Definition at line 508 of file yapf_road.cpp.

## ◆ VehicleType

template<class Tpf_ , class Tnode_list , template< class Types > class Tdestination>

typedef RoadVehicle CYapfRoad_TypesT< Tpf_, Tnode_list, Tdestination >::VehicleType

Definition at line 513 of file yapf_road.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_road.cpp